---
prometheus_user: prometheus
prometheus_group: prometheus
prometheus_db_directory: /var/lib/prometheus
prometheus_config_directory: /etc/prometheus

prometheus_version: latest # 2.46.0
_prometheus_version: "{{ prometheus_version if prometheus_version != 'latest' else prometheus_version_latest.stdout }}"
prometheus_system: "{{ ansible_system | lower }}"
prometheus_architecture: amd64
prometheus_packages: "prometheus-{{ _prometheus_version }}.{{ prometheus_system }}-{{ prometheus_architecture }}.tar.gz"
prometheus_url: "https://github.com/prometheus/prometheus/releases/download/v{{ _prometheus_version }}/{{ prometheus_packages }}"
prometheus_web_listen_address: "0.0.0.0:9090"
prometheus_web_external_url: ""

prometheus_scrape_configs:
  - job_name: "prometheus"
    static_configs:
      - targets:
          - "{{ ansible_fqdn | default('localhost') }}:9090"
